# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#	This file is part of the KDE libraries
#    Copyright (C) 1996-1997 Matthias Kalle Dalheimer (kalle@kde.org)
#              (C) 1997-1998 Stephan Kulow (coolo@kde.org)

#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.

#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.

#    You should have received a copy of the GNU Library General Public License
#    along with this library; see the file COPYING.LIB.  If not, write to
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#    Boston, MA 02111-1307, USA.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES = -I$(top_srcdir)/kdefx -I$(top_srcdir)/kdecore -I$(top_srcdir)/kdeui \
	  $(all_includes)


AM_LDFLAGS = $(QT_LDFLAGS) $(X_LDFLAGS) $(KDE_RPATH)

check_PROGRAMS = kaboutdialogtest kblendtest kbuttonboxtest kcharselecttest \
	kcolortest kcolordlgtest kcomboboxtest kcompletiontest \
	kdatepicktest kdialogbasetest \
	kdockwidgetdemo kdockwidgettest \
	kdualcolortest keditlistboxtest kfontdialogtest \
	kgradienttest khashtest kdesattest\
	kledtest klineedittest klineeditdlgtest \
	kmessageboxtest knuminputtest \
	kpalettetest \
	kpopuptest kprogresstest krulertest kseparatortest \
	kstatusbartest ktabctltest \
	kunbalancedgrdtest kwindowtest kwizardtest \
	itemcontainertest kpanelmenutest kedittest \
	kxmlguitest kaccelgentest ksystemtraytest klistviewtest \
	ktextedittest kmainwindowtest kactiontest


#>- METASOURCES = AUTO

LDADD = ../libkdeui.la

kaboutdialogtest_SOURCES = kaboutdialogtest.cpp
kblendtest_SOURCES = kblendtest.cpp
kdesattest_SOURCES = kdesattest.cpp
kbuttonboxtest_SOURCES = kbuttonboxtest.cpp
kcharselecttest_SOURCES = kcharselecttest.cpp
kcolordlgtest_SOURCES = kcolordlgtest.cpp
kcolortest_SOURCES = kcolortest.cpp
kcomboboxtest_SOURCES = kcomboboxtest.cpp
kcompletiontest_SOURCES = kcompletiontest.cpp
kdatepicktest_SOURCES = kdatepicktest.cpp
kdialogbasetest_SOURCES = kdialogbasetest.cpp
kdualcolortest_SOURCES = kdualcolortest.cpp
kedittest_SOURCES = kedittest.cpp
keditlistboxtest_SOURCES = keditlistboxtest.cpp
kfontdialogtest_SOURCES = kfontdialogtest.cpp
kgradienttest_SOURCES = kgradienttest.cpp
khashtest_SOURCES = khashtest.cpp
kledtest_SOURCES = kledtest.cpp
klineedittest_SOURCES = klineedittest.cpp
klineeditdlgtest_SOURCES = klineeditdlgtest.cpp
kmessageboxtest_SOURCES = kmessageboxtest.cpp
knuminputtest_SOURCES = knuminputtest.cpp
kpalettetest_SOURCES = kpalettetest.cpp
kpopuptest_SOURCES = kpopuptest.cpp
kprogresstest_SOURCES = kprogresstest.cpp
krulertest_SOURCES = krulertest.cpp
kseparatortest_SOURCES = kseparatortest.cpp
kstatusbartest_SOURCES = kstatusbartest.cpp
ktabctltest_SOURCES = ktabctltest.cpp
kunbalancedgrdtest_SOURCES = kunbalancedgrdtest.cpp
kwindowtest_SOURCES = kwindowtest.cpp
kwizardtest_SOURCES = kwizardtest.cpp
itemcontainertest_SOURCES = itemcontainertest.cpp
kpanelmenutest_SOURCES = kpanelmenutest.cpp
kdockwidgetdemo_SOURCES = kdockwidgetdemo.cpp
kdockwidgettest_SOURCES = kdockwidgettest.cpp
kxmlguitest_SOURCES = kxmlguitest.cpp
kaccelgentest_SOURCES = kaccelgentest.cpp
ksystemtraytest_SOURCES = ksystemtraytest.cpp
klistviewtest_SOURCES = klistviewtest.cpp
ktextedittest_SOURCES = ktextedittest.cpp
kmainwindowtest_SOURCES = kmainwindowtest.cpp
kactiontest_SOURCES = kactiontest.cpp
subdir = kdeui/tests
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
check_PROGRAMS = kaboutdialogtest$(EXEEXT) kblendtest$(EXEEXT) \
	kbuttonboxtest$(EXEEXT) kcharselecttest$(EXEEXT) \
	kcolortest$(EXEEXT) kcolordlgtest$(EXEEXT) \
	kcomboboxtest$(EXEEXT) kcompletiontest$(EXEEXT) \
	kdatepicktest$(EXEEXT) kdialogbasetest$(EXEEXT) \
	kdockwidgetdemo$(EXEEXT) kdockwidgettest$(EXEEXT) \
	kdualcolortest$(EXEEXT) keditlistboxtest$(EXEEXT) \
	kfontdialogtest$(EXEEXT) kgradienttest$(EXEEXT) \
	khashtest$(EXEEXT) kdesattest$(EXEEXT) kledtest$(EXEEXT) \
	klineedittest$(EXEEXT) klineeditdlgtest$(EXEEXT) \
	kmessageboxtest$(EXEEXT) knuminputtest$(EXEEXT) \
	kpalettetest$(EXEEXT) kpopuptest$(EXEEXT) \
	kprogresstest$(EXEEXT) krulertest$(EXEEXT) \
	kseparatortest$(EXEEXT) kstatusbartest$(EXEEXT) \
	ktabctltest$(EXEEXT) kunbalancedgrdtest$(EXEEXT) \
	kwindowtest$(EXEEXT) kwizardtest$(EXEEXT) \
	itemcontainertest$(EXEEXT) kpanelmenutest$(EXEEXT) \
	kedittest$(EXEEXT) kxmlguitest$(EXEEXT) kaccelgentest$(EXEEXT) \
	ksystemtraytest$(EXEEXT) klistviewtest$(EXEEXT) \
	ktextedittest$(EXEEXT) kmainwindowtest$(EXEEXT) \
	kactiontest$(EXEEXT)
am_itemcontainertest_OBJECTS = itemcontainertest.$(OBJEXT)
#>- itemcontainertest_OBJECTS = $(am_itemcontainertest_OBJECTS)
#>+ 1
itemcontainertest_OBJECTS = itemcontainertest.$(OBJEXT)
itemcontainertest_LDADD = $(LDADD)
itemcontainertest_DEPENDENCIES = ../libkdeui.la
itemcontainertest_LDFLAGS =
am_kaboutdialogtest_OBJECTS = kaboutdialogtest.$(OBJEXT)
#>- kaboutdialogtest_OBJECTS = $(am_kaboutdialogtest_OBJECTS)
#>+ 1
kaboutdialogtest_OBJECTS = kaboutdialogtest.$(OBJEXT)
kaboutdialogtest_LDADD = $(LDADD)
kaboutdialogtest_DEPENDENCIES = ../libkdeui.la
kaboutdialogtest_LDFLAGS =
am_kaccelgentest_OBJECTS = kaccelgentest.$(OBJEXT)
#>- kaccelgentest_OBJECTS = $(am_kaccelgentest_OBJECTS)
#>+ 1
kaccelgentest_OBJECTS = kaccelgentest.$(OBJEXT)
kaccelgentest_LDADD = $(LDADD)
kaccelgentest_DEPENDENCIES = ../libkdeui.la
kaccelgentest_LDFLAGS =
am_kactiontest_OBJECTS = kactiontest.$(OBJEXT)
#>- kactiontest_OBJECTS = $(am_kactiontest_OBJECTS)
#>+ 1
kactiontest_OBJECTS = kactiontest.$(OBJEXT)
kactiontest_LDADD = $(LDADD)
kactiontest_DEPENDENCIES = ../libkdeui.la
kactiontest_LDFLAGS =
am_kblendtest_OBJECTS = kblendtest.$(OBJEXT)
#>- kblendtest_OBJECTS = $(am_kblendtest_OBJECTS)
#>+ 1
kblendtest_OBJECTS = kblendtest.$(OBJEXT)
kblendtest_LDADD = $(LDADD)
kblendtest_DEPENDENCIES = ../libkdeui.la
kblendtest_LDFLAGS =
am_kbuttonboxtest_OBJECTS = kbuttonboxtest.$(OBJEXT)
#>- kbuttonboxtest_OBJECTS = $(am_kbuttonboxtest_OBJECTS)
#>+ 1
kbuttonboxtest_OBJECTS = kbuttonboxtest.$(OBJEXT)
kbuttonboxtest_LDADD = $(LDADD)
kbuttonboxtest_DEPENDENCIES = ../libkdeui.la
kbuttonboxtest_LDFLAGS =
am_kcharselecttest_OBJECTS = kcharselecttest.$(OBJEXT)
#>- kcharselecttest_OBJECTS = $(am_kcharselecttest_OBJECTS)
#>+ 1
kcharselecttest_OBJECTS = kcharselecttest.$(OBJEXT)
kcharselecttest_LDADD = $(LDADD)
kcharselecttest_DEPENDENCIES = ../libkdeui.la
kcharselecttest_LDFLAGS =
am_kcolordlgtest_OBJECTS = kcolordlgtest.$(OBJEXT)
#>- kcolordlgtest_OBJECTS = $(am_kcolordlgtest_OBJECTS)
#>+ 1
kcolordlgtest_OBJECTS = kcolordlgtest.$(OBJEXT)
kcolordlgtest_LDADD = $(LDADD)
kcolordlgtest_DEPENDENCIES = ../libkdeui.la
kcolordlgtest_LDFLAGS =
am_kcolortest_OBJECTS = kcolortest.$(OBJEXT)
#>- kcolortest_OBJECTS = $(am_kcolortest_OBJECTS)
#>+ 1
kcolortest_OBJECTS = kcolortest.$(OBJEXT)
kcolortest_LDADD = $(LDADD)
kcolortest_DEPENDENCIES = ../libkdeui.la
kcolortest_LDFLAGS =
am_kcomboboxtest_OBJECTS = kcomboboxtest.$(OBJEXT)
#>- kcomboboxtest_OBJECTS = $(am_kcomboboxtest_OBJECTS)
#>+ 1
kcomboboxtest_OBJECTS = kcomboboxtest.$(OBJEXT)
kcomboboxtest_LDADD = $(LDADD)
kcomboboxtest_DEPENDENCIES = ../libkdeui.la
kcomboboxtest_LDFLAGS =
am_kcompletiontest_OBJECTS = kcompletiontest.$(OBJEXT)
#>- kcompletiontest_OBJECTS = $(am_kcompletiontest_OBJECTS)
#>+ 1
kcompletiontest_OBJECTS = kcompletiontest.$(OBJEXT)
kcompletiontest_LDADD = $(LDADD)
kcompletiontest_DEPENDENCIES = ../libkdeui.la
kcompletiontest_LDFLAGS =
am_kdatepicktest_OBJECTS = kdatepicktest.$(OBJEXT)
#>- kdatepicktest_OBJECTS = $(am_kdatepicktest_OBJECTS)
#>+ 1
kdatepicktest_OBJECTS = kdatepicktest.$(OBJEXT)
kdatepicktest_LDADD = $(LDADD)
kdatepicktest_DEPENDENCIES = ../libkdeui.la
kdatepicktest_LDFLAGS =
am_kdesattest_OBJECTS = kdesattest.$(OBJEXT)
#>- kdesattest_OBJECTS = $(am_kdesattest_OBJECTS)
#>+ 1
kdesattest_OBJECTS = kdesattest.$(OBJEXT)
kdesattest_LDADD = $(LDADD)
kdesattest_DEPENDENCIES = ../libkdeui.la
kdesattest_LDFLAGS =
am_kdialogbasetest_OBJECTS = kdialogbasetest.$(OBJEXT)
#>- kdialogbasetest_OBJECTS = $(am_kdialogbasetest_OBJECTS)
#>+ 1
kdialogbasetest_OBJECTS = kdialogbasetest.$(OBJEXT)
kdialogbasetest_LDADD = $(LDADD)
kdialogbasetest_DEPENDENCIES = ../libkdeui.la
kdialogbasetest_LDFLAGS =
am_kdockwidgetdemo_OBJECTS = kdockwidgetdemo.$(OBJEXT)
#>- kdockwidgetdemo_OBJECTS = $(am_kdockwidgetdemo_OBJECTS)
#>+ 1
kdockwidgetdemo_OBJECTS = kdockwidgetdemo.$(OBJEXT)
kdockwidgetdemo_LDADD = $(LDADD)
kdockwidgetdemo_DEPENDENCIES = ../libkdeui.la
kdockwidgetdemo_LDFLAGS =
am_kdockwidgettest_OBJECTS = kdockwidgettest.$(OBJEXT)
#>- kdockwidgettest_OBJECTS = $(am_kdockwidgettest_OBJECTS)
#>+ 1
kdockwidgettest_OBJECTS = kdockwidgettest.$(OBJEXT)
kdockwidgettest_LDADD = $(LDADD)
kdockwidgettest_DEPENDENCIES = ../libkdeui.la
kdockwidgettest_LDFLAGS =
am_kdualcolortest_OBJECTS = kdualcolortest.$(OBJEXT)
#>- kdualcolortest_OBJECTS = $(am_kdualcolortest_OBJECTS)
#>+ 1
kdualcolortest_OBJECTS = kdualcolortest.$(OBJEXT)
kdualcolortest_LDADD = $(LDADD)
kdualcolortest_DEPENDENCIES = ../libkdeui.la
kdualcolortest_LDFLAGS =
am_keditlistboxtest_OBJECTS = keditlistboxtest.$(OBJEXT)
#>- keditlistboxtest_OBJECTS = $(am_keditlistboxtest_OBJECTS)
#>+ 1
keditlistboxtest_OBJECTS = keditlistboxtest.$(OBJEXT)
keditlistboxtest_LDADD = $(LDADD)
keditlistboxtest_DEPENDENCIES = ../libkdeui.la
keditlistboxtest_LDFLAGS =
am_kedittest_OBJECTS = kedittest.$(OBJEXT)
#>- kedittest_OBJECTS = $(am_kedittest_OBJECTS)
#>+ 1
kedittest_OBJECTS = kedittest.$(OBJEXT)
kedittest_LDADD = $(LDADD)
kedittest_DEPENDENCIES = ../libkdeui.la
kedittest_LDFLAGS =
am_kfontdialogtest_OBJECTS = kfontdialogtest.$(OBJEXT)
#>- kfontdialogtest_OBJECTS = $(am_kfontdialogtest_OBJECTS)
#>+ 1
kfontdialogtest_OBJECTS = kfontdialogtest.$(OBJEXT)
kfontdialogtest_LDADD = $(LDADD)
kfontdialogtest_DEPENDENCIES = ../libkdeui.la
kfontdialogtest_LDFLAGS =
am_kgradienttest_OBJECTS = kgradienttest.$(OBJEXT)
#>- kgradienttest_OBJECTS = $(am_kgradienttest_OBJECTS)
#>+ 1
kgradienttest_OBJECTS = kgradienttest.$(OBJEXT)
kgradienttest_LDADD = $(LDADD)
kgradienttest_DEPENDENCIES = ../libkdeui.la
kgradienttest_LDFLAGS =
am_khashtest_OBJECTS = khashtest.$(OBJEXT)
#>- khashtest_OBJECTS = $(am_khashtest_OBJECTS)
#>+ 1
khashtest_OBJECTS = khashtest.$(OBJEXT)
khashtest_LDADD = $(LDADD)
khashtest_DEPENDENCIES = ../libkdeui.la
khashtest_LDFLAGS =
am_kledtest_OBJECTS = kledtest.$(OBJEXT)
#>- kledtest_OBJECTS = $(am_kledtest_OBJECTS)
#>+ 1
kledtest_OBJECTS = kledtest.$(OBJEXT)
kledtest_LDADD = $(LDADD)
kledtest_DEPENDENCIES = ../libkdeui.la
kledtest_LDFLAGS =
am_klineeditdlgtest_OBJECTS = klineeditdlgtest.$(OBJEXT)
#>- klineeditdlgtest_OBJECTS = $(am_klineeditdlgtest_OBJECTS)
#>+ 1
klineeditdlgtest_OBJECTS = klineeditdlgtest.$(OBJEXT)
klineeditdlgtest_LDADD = $(LDADD)
klineeditdlgtest_DEPENDENCIES = ../libkdeui.la
klineeditdlgtest_LDFLAGS =
am_klineedittest_OBJECTS = klineedittest.$(OBJEXT)
#>- klineedittest_OBJECTS = $(am_klineedittest_OBJECTS)
#>+ 1
klineedittest_OBJECTS = klineedittest.$(OBJEXT)
klineedittest_LDADD = $(LDADD)
klineedittest_DEPENDENCIES = ../libkdeui.la
klineedittest_LDFLAGS =
am_klistviewtest_OBJECTS = klistviewtest.$(OBJEXT)
#>- klistviewtest_OBJECTS = $(am_klistviewtest_OBJECTS)
#>+ 1
klistviewtest_OBJECTS = klistviewtest.$(OBJEXT)
klistviewtest_LDADD = $(LDADD)
klistviewtest_DEPENDENCIES = ../libkdeui.la
klistviewtest_LDFLAGS =
am_kmainwindowtest_OBJECTS = kmainwindowtest.$(OBJEXT)
#>- kmainwindowtest_OBJECTS = $(am_kmainwindowtest_OBJECTS)
#>+ 1
kmainwindowtest_OBJECTS = kmainwindowtest.$(OBJEXT)
kmainwindowtest_LDADD = $(LDADD)
kmainwindowtest_DEPENDENCIES = ../libkdeui.la
kmainwindowtest_LDFLAGS =
am_kmessageboxtest_OBJECTS = kmessageboxtest.$(OBJEXT)
#>- kmessageboxtest_OBJECTS = $(am_kmessageboxtest_OBJECTS)
#>+ 1
kmessageboxtest_OBJECTS = kmessageboxtest.$(OBJEXT)
kmessageboxtest_LDADD = $(LDADD)
kmessageboxtest_DEPENDENCIES = ../libkdeui.la
kmessageboxtest_LDFLAGS =
am_knuminputtest_OBJECTS = knuminputtest.$(OBJEXT)
#>- knuminputtest_OBJECTS = $(am_knuminputtest_OBJECTS)
#>+ 1
knuminputtest_OBJECTS = knuminputtest.$(OBJEXT)
knuminputtest_LDADD = $(LDADD)
knuminputtest_DEPENDENCIES = ../libkdeui.la
knuminputtest_LDFLAGS =
am_kpalettetest_OBJECTS = kpalettetest.$(OBJEXT)
#>- kpalettetest_OBJECTS = $(am_kpalettetest_OBJECTS)
#>+ 1
kpalettetest_OBJECTS = kpalettetest.$(OBJEXT)
kpalettetest_LDADD = $(LDADD)
kpalettetest_DEPENDENCIES = ../libkdeui.la
kpalettetest_LDFLAGS =
am_kpanelmenutest_OBJECTS = kpanelmenutest.$(OBJEXT)
#>- kpanelmenutest_OBJECTS = $(am_kpanelmenutest_OBJECTS)
#>+ 1
kpanelmenutest_OBJECTS = kpanelmenutest.$(OBJEXT)
kpanelmenutest_LDADD = $(LDADD)
kpanelmenutest_DEPENDENCIES = ../libkdeui.la
kpanelmenutest_LDFLAGS =
am_kpopuptest_OBJECTS = kpopuptest.$(OBJEXT)
#>- kpopuptest_OBJECTS = $(am_kpopuptest_OBJECTS)
#>+ 1
kpopuptest_OBJECTS = kpopuptest.$(OBJEXT)
kpopuptest_LDADD = $(LDADD)
kpopuptest_DEPENDENCIES = ../libkdeui.la
kpopuptest_LDFLAGS =
am_kprogresstest_OBJECTS = kprogresstest.$(OBJEXT)
#>- kprogresstest_OBJECTS = $(am_kprogresstest_OBJECTS)
#>+ 1
kprogresstest_OBJECTS = kprogresstest.$(OBJEXT)
kprogresstest_LDADD = $(LDADD)
kprogresstest_DEPENDENCIES = ../libkdeui.la
kprogresstest_LDFLAGS =
am_krulertest_OBJECTS = krulertest.$(OBJEXT)
#>- krulertest_OBJECTS = $(am_krulertest_OBJECTS)
#>+ 1
krulertest_OBJECTS = krulertest.$(OBJEXT)
krulertest_LDADD = $(LDADD)
krulertest_DEPENDENCIES = ../libkdeui.la
krulertest_LDFLAGS =
am_kseparatortest_OBJECTS = kseparatortest.$(OBJEXT)
#>- kseparatortest_OBJECTS = $(am_kseparatortest_OBJECTS)
#>+ 1
kseparatortest_OBJECTS = kseparatortest.$(OBJEXT)
kseparatortest_LDADD = $(LDADD)
kseparatortest_DEPENDENCIES = ../libkdeui.la
kseparatortest_LDFLAGS =
am_kstatusbartest_OBJECTS = kstatusbartest.$(OBJEXT)
#>- kstatusbartest_OBJECTS = $(am_kstatusbartest_OBJECTS)
#>+ 1
kstatusbartest_OBJECTS = kstatusbartest.$(OBJEXT)
kstatusbartest_LDADD = $(LDADD)
kstatusbartest_DEPENDENCIES = ../libkdeui.la
kstatusbartest_LDFLAGS =
am_ksystemtraytest_OBJECTS = ksystemtraytest.$(OBJEXT)
#>- ksystemtraytest_OBJECTS = $(am_ksystemtraytest_OBJECTS)
#>+ 1
ksystemtraytest_OBJECTS = ksystemtraytest.$(OBJEXT)
ksystemtraytest_LDADD = $(LDADD)
ksystemtraytest_DEPENDENCIES = ../libkdeui.la
ksystemtraytest_LDFLAGS =
am_ktabctltest_OBJECTS = ktabctltest.$(OBJEXT)
#>- ktabctltest_OBJECTS = $(am_ktabctltest_OBJECTS)
#>+ 1
ktabctltest_OBJECTS = ktabctltest.$(OBJEXT)
ktabctltest_LDADD = $(LDADD)
ktabctltest_DEPENDENCIES = ../libkdeui.la
ktabctltest_LDFLAGS =
am_ktextedittest_OBJECTS = ktextedittest.$(OBJEXT)
#>- ktextedittest_OBJECTS = $(am_ktextedittest_OBJECTS)
#>+ 1
ktextedittest_OBJECTS = ktextedittest.$(OBJEXT)
ktextedittest_LDADD = $(LDADD)
ktextedittest_DEPENDENCIES = ../libkdeui.la
ktextedittest_LDFLAGS =
am_kunbalancedgrdtest_OBJECTS = kunbalancedgrdtest.$(OBJEXT)
#>- kunbalancedgrdtest_OBJECTS = $(am_kunbalancedgrdtest_OBJECTS)
#>+ 1
kunbalancedgrdtest_OBJECTS = kunbalancedgrdtest.$(OBJEXT)
kunbalancedgrdtest_LDADD = $(LDADD)
kunbalancedgrdtest_DEPENDENCIES = ../libkdeui.la
kunbalancedgrdtest_LDFLAGS =
am_kwindowtest_OBJECTS = kwindowtest.$(OBJEXT)
#>- kwindowtest_OBJECTS = $(am_kwindowtest_OBJECTS)
#>+ 1
kwindowtest_OBJECTS = kwindowtest.$(OBJEXT)
kwindowtest_LDADD = $(LDADD)
kwindowtest_DEPENDENCIES = ../libkdeui.la
kwindowtest_LDFLAGS =
am_kwizardtest_OBJECTS = kwizardtest.$(OBJEXT)
#>- kwizardtest_OBJECTS = $(am_kwizardtest_OBJECTS)
#>+ 1
kwizardtest_OBJECTS = kwizardtest.$(OBJEXT)
kwizardtest_LDADD = $(LDADD)
kwizardtest_DEPENDENCIES = ../libkdeui.la
kwizardtest_LDFLAGS =
am_kxmlguitest_OBJECTS = kxmlguitest.$(OBJEXT)
#>- kxmlguitest_OBJECTS = $(am_kxmlguitest_OBJECTS)
#>+ 1
kxmlguitest_OBJECTS = kxmlguitest.$(OBJEXT)
kxmlguitest_LDADD = $(LDADD)
kxmlguitest_DEPENDENCIES = ../libkdeui.la
kxmlguitest_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/itemcontainertest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kaboutdialogtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kaccelgentest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kactiontest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kblendtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kbuttonboxtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcharselecttest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcolordlgtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcolortest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcomboboxtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcompletiontest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdatepicktest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdesattest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdialogbasetest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdockwidgetdemo.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdockwidgettest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdualcolortest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/keditlistboxtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kedittest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfontdialogtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kgradienttest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khashtest.Po ./$(DEPDIR)/kledtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/klineeditdlgtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/klineedittest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/klistviewtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmainwindowtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmessageboxtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/knuminputtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpalettetest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpanelmenutest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpopuptest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprogresstest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/krulertest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kseparatortest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kstatusbartest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ksystemtraytest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktabctltest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktextedittest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kunbalancedgrdtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kwindowtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kwizardtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kxmlguitest.Po
#>+ 43
@AMDEP_TRUE@DEP_FILES =   ./$(DEPDIR)/itemcontainertest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kaboutdialogtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kaccelgentest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kactiontest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kblendtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kbuttonboxtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcharselecttest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcolordlgtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcolortest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcomboboxtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcompletiontest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdatepicktest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdesattest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdialogbasetest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdockwidgetdemo.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdockwidgettest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdualcolortest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/keditlistboxtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kedittest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfontdialogtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kgradienttest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khashtest.Po ./$(DEPDIR)/kledtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/klineeditdlgtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/klineedittest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/klistviewtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmainwindowtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmessageboxtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/knuminputtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpalettetest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpanelmenutest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpopuptest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprogresstest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/krulertest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kseparatortest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kstatusbartest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ksystemtraytest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktabctltest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktextedittest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kunbalancedgrdtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kwindowtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kwizardtest.Po \
@AMDEP_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kxmlguitest.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(itemcontainertest_SOURCES) $(kaboutdialogtest_SOURCES) \
	$(kaccelgentest_SOURCES) $(kactiontest_SOURCES) \
	$(kblendtest_SOURCES) $(kbuttonboxtest_SOURCES) \
	$(kcharselecttest_SOURCES) $(kcolordlgtest_SOURCES) \
	$(kcolortest_SOURCES) $(kcomboboxtest_SOURCES) \
	$(kcompletiontest_SOURCES) $(kdatepicktest_SOURCES) \
	$(kdesattest_SOURCES) $(kdialogbasetest_SOURCES) \
	$(kdockwidgetdemo_SOURCES) $(kdockwidgettest_SOURCES) \
	$(kdualcolortest_SOURCES) $(keditlistboxtest_SOURCES) \
	$(kedittest_SOURCES) $(kfontdialogtest_SOURCES) \
	$(kgradienttest_SOURCES) $(khashtest_SOURCES) \
	$(kledtest_SOURCES) $(klineeditdlgtest_SOURCES) \
	$(klineedittest_SOURCES) $(klistviewtest_SOURCES) \
	$(kmainwindowtest_SOURCES) $(kmessageboxtest_SOURCES) \
	$(knuminputtest_SOURCES) $(kpalettetest_SOURCES) \
	$(kpanelmenutest_SOURCES) $(kpopuptest_SOURCES) \
	$(kprogresstest_SOURCES) $(krulertest_SOURCES) \
	$(kseparatortest_SOURCES) $(kstatusbartest_SOURCES) \
	$(ksystemtraytest_SOURCES) $(ktabctltest_SOURCES) \
	$(ktextedittest_SOURCES) $(kunbalancedgrdtest_SOURCES) \
	$(kwindowtest_SOURCES) $(kwizardtest_SOURCES) \
	$(kxmlguitest_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(itemcontainertest_SOURCES) $(kaboutdialogtest_SOURCES) $(kaccelgentest_SOURCES) $(kactiontest_SOURCES) $(kblendtest_SOURCES) $(kbuttonboxtest_SOURCES) $(kcharselecttest_SOURCES) $(kcolordlgtest_SOURCES) $(kcolortest_SOURCES) $(kcomboboxtest_SOURCES) $(kcompletiontest_SOURCES) $(kdatepicktest_SOURCES) $(kdesattest_SOURCES) $(kdialogbasetest_SOURCES) $(kdockwidgetdemo_SOURCES) $(kdockwidgettest_SOURCES) $(kdualcolortest_SOURCES) $(keditlistboxtest_SOURCES) $(kedittest_SOURCES) $(kfontdialogtest_SOURCES) $(kgradienttest_SOURCES) $(khashtest_SOURCES) $(kledtest_SOURCES) $(klineeditdlgtest_SOURCES) $(klineedittest_SOURCES) $(klistviewtest_SOURCES) $(kmainwindowtest_SOURCES) $(kmessageboxtest_SOURCES) $(knuminputtest_SOURCES) $(kpalettetest_SOURCES) $(kpanelmenutest_SOURCES) $(kpopuptest_SOURCES) $(kprogresstest_SOURCES) $(krulertest_SOURCES) $(kseparatortest_SOURCES) $(kstatusbartest_SOURCES) $(ksystemtraytest_SOURCES) $(ktabctltest_SOURCES) $(ktextedittest_SOURCES) $(kunbalancedgrdtest_SOURCES) $(kwindowtest_SOURCES) $(kwizardtest_SOURCES) $(kxmlguitest_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kdeui/tests/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kdeui/tests/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdeui/tests/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
itemcontainertest$(EXEEXT): $(itemcontainertest_OBJECTS) $(itemcontainertest_DEPENDENCIES) 
	@rm -f itemcontainertest$(EXEEXT)
	$(CXXLINK) $(itemcontainertest_LDFLAGS) $(itemcontainertest_OBJECTS) $(itemcontainertest_LDADD) $(LIBS)
kaboutdialogtest$(EXEEXT): $(kaboutdialogtest_OBJECTS) $(kaboutdialogtest_DEPENDENCIES) 
	@rm -f kaboutdialogtest$(EXEEXT)
	$(CXXLINK) $(kaboutdialogtest_LDFLAGS) $(kaboutdialogtest_OBJECTS) $(kaboutdialogtest_LDADD) $(LIBS)
kaccelgentest$(EXEEXT): $(kaccelgentest_OBJECTS) $(kaccelgentest_DEPENDENCIES) 
	@rm -f kaccelgentest$(EXEEXT)
	$(CXXLINK) $(kaccelgentest_LDFLAGS) $(kaccelgentest_OBJECTS) $(kaccelgentest_LDADD) $(LIBS)
kactiontest$(EXEEXT): $(kactiontest_OBJECTS) $(kactiontest_DEPENDENCIES) 
	@rm -f kactiontest$(EXEEXT)
	$(CXXLINK) $(kactiontest_LDFLAGS) $(kactiontest_OBJECTS) $(kactiontest_LDADD) $(LIBS)
kblendtest$(EXEEXT): $(kblendtest_OBJECTS) $(kblendtest_DEPENDENCIES) 
	@rm -f kblendtest$(EXEEXT)
	$(CXXLINK) $(kblendtest_LDFLAGS) $(kblendtest_OBJECTS) $(kblendtest_LDADD) $(LIBS)
kbuttonboxtest$(EXEEXT): $(kbuttonboxtest_OBJECTS) $(kbuttonboxtest_DEPENDENCIES) 
	@rm -f kbuttonboxtest$(EXEEXT)
	$(CXXLINK) $(kbuttonboxtest_LDFLAGS) $(kbuttonboxtest_OBJECTS) $(kbuttonboxtest_LDADD) $(LIBS)
kcharselecttest$(EXEEXT): $(kcharselecttest_OBJECTS) $(kcharselecttest_DEPENDENCIES) 
	@rm -f kcharselecttest$(EXEEXT)
	$(CXXLINK) $(kcharselecttest_LDFLAGS) $(kcharselecttest_OBJECTS) $(kcharselecttest_LDADD) $(LIBS)
kcolordlgtest$(EXEEXT): $(kcolordlgtest_OBJECTS) $(kcolordlgtest_DEPENDENCIES) 
	@rm -f kcolordlgtest$(EXEEXT)
	$(CXXLINK) $(kcolordlgtest_LDFLAGS) $(kcolordlgtest_OBJECTS) $(kcolordlgtest_LDADD) $(LIBS)
kcolortest$(EXEEXT): $(kcolortest_OBJECTS) $(kcolortest_DEPENDENCIES) 
	@rm -f kcolortest$(EXEEXT)
	$(CXXLINK) $(kcolortest_LDFLAGS) $(kcolortest_OBJECTS) $(kcolortest_LDADD) $(LIBS)
kcomboboxtest$(EXEEXT): $(kcomboboxtest_OBJECTS) $(kcomboboxtest_DEPENDENCIES) 
	@rm -f kcomboboxtest$(EXEEXT)
	$(CXXLINK) $(kcomboboxtest_LDFLAGS) $(kcomboboxtest_OBJECTS) $(kcomboboxtest_LDADD) $(LIBS)
kcompletiontest$(EXEEXT): $(kcompletiontest_OBJECTS) $(kcompletiontest_DEPENDENCIES) 
	@rm -f kcompletiontest$(EXEEXT)
	$(CXXLINK) $(kcompletiontest_LDFLAGS) $(kcompletiontest_OBJECTS) $(kcompletiontest_LDADD) $(LIBS)
kdatepicktest$(EXEEXT): $(kdatepicktest_OBJECTS) $(kdatepicktest_DEPENDENCIES) 
	@rm -f kdatepicktest$(EXEEXT)
	$(CXXLINK) $(kdatepicktest_LDFLAGS) $(kdatepicktest_OBJECTS) $(kdatepicktest_LDADD) $(LIBS)
kdesattest$(EXEEXT): $(kdesattest_OBJECTS) $(kdesattest_DEPENDENCIES) 
	@rm -f kdesattest$(EXEEXT)
	$(CXXLINK) $(kdesattest_LDFLAGS) $(kdesattest_OBJECTS) $(kdesattest_LDADD) $(LIBS)
kdialogbasetest$(EXEEXT): $(kdialogbasetest_OBJECTS) $(kdialogbasetest_DEPENDENCIES) 
	@rm -f kdialogbasetest$(EXEEXT)
	$(CXXLINK) $(kdialogbasetest_LDFLAGS) $(kdialogbasetest_OBJECTS) $(kdialogbasetest_LDADD) $(LIBS)
kdockwidgetdemo$(EXEEXT): $(kdockwidgetdemo_OBJECTS) $(kdockwidgetdemo_DEPENDENCIES) 
	@rm -f kdockwidgetdemo$(EXEEXT)
	$(CXXLINK) $(kdockwidgetdemo_LDFLAGS) $(kdockwidgetdemo_OBJECTS) $(kdockwidgetdemo_LDADD) $(LIBS)
kdockwidgettest$(EXEEXT): $(kdockwidgettest_OBJECTS) $(kdockwidgettest_DEPENDENCIES) 
	@rm -f kdockwidgettest$(EXEEXT)
	$(CXXLINK) $(kdockwidgettest_LDFLAGS) $(kdockwidgettest_OBJECTS) $(kdockwidgettest_LDADD) $(LIBS)
kdualcolortest$(EXEEXT): $(kdualcolortest_OBJECTS) $(kdualcolortest_DEPENDENCIES) 
	@rm -f kdualcolortest$(EXEEXT)
	$(CXXLINK) $(kdualcolortest_LDFLAGS) $(kdualcolortest_OBJECTS) $(kdualcolortest_LDADD) $(LIBS)
keditlistboxtest$(EXEEXT): $(keditlistboxtest_OBJECTS) $(keditlistboxtest_DEPENDENCIES) 
	@rm -f keditlistboxtest$(EXEEXT)
	$(CXXLINK) $(keditlistboxtest_LDFLAGS) $(keditlistboxtest_OBJECTS) $(keditlistboxtest_LDADD) $(LIBS)
kedittest$(EXEEXT): $(kedittest_OBJECTS) $(kedittest_DEPENDENCIES) 
	@rm -f kedittest$(EXEEXT)
	$(CXXLINK) $(kedittest_LDFLAGS) $(kedittest_OBJECTS) $(kedittest_LDADD) $(LIBS)
kfontdialogtest$(EXEEXT): $(kfontdialogtest_OBJECTS) $(kfontdialogtest_DEPENDENCIES) 
	@rm -f kfontdialogtest$(EXEEXT)
	$(CXXLINK) $(kfontdialogtest_LDFLAGS) $(kfontdialogtest_OBJECTS) $(kfontdialogtest_LDADD) $(LIBS)
kgradienttest$(EXEEXT): $(kgradienttest_OBJECTS) $(kgradienttest_DEPENDENCIES) 
	@rm -f kgradienttest$(EXEEXT)
	$(CXXLINK) $(kgradienttest_LDFLAGS) $(kgradienttest_OBJECTS) $(kgradienttest_LDADD) $(LIBS)
khashtest$(EXEEXT): $(khashtest_OBJECTS) $(khashtest_DEPENDENCIES) 
	@rm -f khashtest$(EXEEXT)
	$(CXXLINK) $(khashtest_LDFLAGS) $(khashtest_OBJECTS) $(khashtest_LDADD) $(LIBS)
kledtest$(EXEEXT): $(kledtest_OBJECTS) $(kledtest_DEPENDENCIES) 
	@rm -f kledtest$(EXEEXT)
	$(CXXLINK) $(kledtest_LDFLAGS) $(kledtest_OBJECTS) $(kledtest_LDADD) $(LIBS)
klineeditdlgtest$(EXEEXT): $(klineeditdlgtest_OBJECTS) $(klineeditdlgtest_DEPENDENCIES) 
	@rm -f klineeditdlgtest$(EXEEXT)
	$(CXXLINK) $(klineeditdlgtest_LDFLAGS) $(klineeditdlgtest_OBJECTS) $(klineeditdlgtest_LDADD) $(LIBS)
klineedittest$(EXEEXT): $(klineedittest_OBJECTS) $(klineedittest_DEPENDENCIES) 
	@rm -f klineedittest$(EXEEXT)
	$(CXXLINK) $(klineedittest_LDFLAGS) $(klineedittest_OBJECTS) $(klineedittest_LDADD) $(LIBS)
klistviewtest$(EXEEXT): $(klistviewtest_OBJECTS) $(klistviewtest_DEPENDENCIES) 
	@rm -f klistviewtest$(EXEEXT)
	$(CXXLINK) $(klistviewtest_LDFLAGS) $(klistviewtest_OBJECTS) $(klistviewtest_LDADD) $(LIBS)
kmainwindowtest$(EXEEXT): $(kmainwindowtest_OBJECTS) $(kmainwindowtest_DEPENDENCIES) 
	@rm -f kmainwindowtest$(EXEEXT)
	$(CXXLINK) $(kmainwindowtest_LDFLAGS) $(kmainwindowtest_OBJECTS) $(kmainwindowtest_LDADD) $(LIBS)
kmessageboxtest$(EXEEXT): $(kmessageboxtest_OBJECTS) $(kmessageboxtest_DEPENDENCIES) 
	@rm -f kmessageboxtest$(EXEEXT)
	$(CXXLINK) $(kmessageboxtest_LDFLAGS) $(kmessageboxtest_OBJECTS) $(kmessageboxtest_LDADD) $(LIBS)
knuminputtest$(EXEEXT): $(knuminputtest_OBJECTS) $(knuminputtest_DEPENDENCIES) 
	@rm -f knuminputtest$(EXEEXT)
	$(CXXLINK) $(knuminputtest_LDFLAGS) $(knuminputtest_OBJECTS) $(knuminputtest_LDADD) $(LIBS)
kpalettetest$(EXEEXT): $(kpalettetest_OBJECTS) $(kpalettetest_DEPENDENCIES) 
	@rm -f kpalettetest$(EXEEXT)
	$(CXXLINK) $(kpalettetest_LDFLAGS) $(kpalettetest_OBJECTS) $(kpalettetest_LDADD) $(LIBS)
kpanelmenutest$(EXEEXT): $(kpanelmenutest_OBJECTS) $(kpanelmenutest_DEPENDENCIES) 
	@rm -f kpanelmenutest$(EXEEXT)
	$(CXXLINK) $(kpanelmenutest_LDFLAGS) $(kpanelmenutest_OBJECTS) $(kpanelmenutest_LDADD) $(LIBS)
kpopuptest$(EXEEXT): $(kpopuptest_OBJECTS) $(kpopuptest_DEPENDENCIES) 
	@rm -f kpopuptest$(EXEEXT)
	$(CXXLINK) $(kpopuptest_LDFLAGS) $(kpopuptest_OBJECTS) $(kpopuptest_LDADD) $(LIBS)
kprogresstest$(EXEEXT): $(kprogresstest_OBJECTS) $(kprogresstest_DEPENDENCIES) 
	@rm -f kprogresstest$(EXEEXT)
	$(CXXLINK) $(kprogresstest_LDFLAGS) $(kprogresstest_OBJECTS) $(kprogresstest_LDADD) $(LIBS)
krulertest$(EXEEXT): $(krulertest_OBJECTS) $(krulertest_DEPENDENCIES) 
	@rm -f krulertest$(EXEEXT)
	$(CXXLINK) $(krulertest_LDFLAGS) $(krulertest_OBJECTS) $(krulertest_LDADD) $(LIBS)
kseparatortest$(EXEEXT): $(kseparatortest_OBJECTS) $(kseparatortest_DEPENDENCIES) 
	@rm -f kseparatortest$(EXEEXT)
	$(CXXLINK) $(kseparatortest_LDFLAGS) $(kseparatortest_OBJECTS) $(kseparatortest_LDADD) $(LIBS)
kstatusbartest$(EXEEXT): $(kstatusbartest_OBJECTS) $(kstatusbartest_DEPENDENCIES) 
	@rm -f kstatusbartest$(EXEEXT)
	$(CXXLINK) $(kstatusbartest_LDFLAGS) $(kstatusbartest_OBJECTS) $(kstatusbartest_LDADD) $(LIBS)
ksystemtraytest$(EXEEXT): $(ksystemtraytest_OBJECTS) $(ksystemtraytest_DEPENDENCIES) 
	@rm -f ksystemtraytest$(EXEEXT)
	$(CXXLINK) $(ksystemtraytest_LDFLAGS) $(ksystemtraytest_OBJECTS) $(ksystemtraytest_LDADD) $(LIBS)
ktabctltest$(EXEEXT): $(ktabctltest_OBJECTS) $(ktabctltest_DEPENDENCIES) 
	@rm -f ktabctltest$(EXEEXT)
	$(CXXLINK) $(ktabctltest_LDFLAGS) $(ktabctltest_OBJECTS) $(ktabctltest_LDADD) $(LIBS)
ktextedittest$(EXEEXT): $(ktextedittest_OBJECTS) $(ktextedittest_DEPENDENCIES) 
	@rm -f ktextedittest$(EXEEXT)
	$(CXXLINK) $(ktextedittest_LDFLAGS) $(ktextedittest_OBJECTS) $(ktextedittest_LDADD) $(LIBS)
kunbalancedgrdtest$(EXEEXT): $(kunbalancedgrdtest_OBJECTS) $(kunbalancedgrdtest_DEPENDENCIES) 
	@rm -f kunbalancedgrdtest$(EXEEXT)
	$(CXXLINK) $(kunbalancedgrdtest_LDFLAGS) $(kunbalancedgrdtest_OBJECTS) $(kunbalancedgrdtest_LDADD) $(LIBS)
kwindowtest$(EXEEXT): $(kwindowtest_OBJECTS) $(kwindowtest_DEPENDENCIES) 
	@rm -f kwindowtest$(EXEEXT)
	$(CXXLINK) $(kwindowtest_LDFLAGS) $(kwindowtest_OBJECTS) $(kwindowtest_LDADD) $(LIBS)
kwizardtest$(EXEEXT): $(kwizardtest_OBJECTS) $(kwizardtest_DEPENDENCIES) 
	@rm -f kwizardtest$(EXEEXT)
	$(CXXLINK) $(kwizardtest_LDFLAGS) $(kwizardtest_OBJECTS) $(kwizardtest_LDADD) $(LIBS)
kxmlguitest$(EXEEXT): $(kxmlguitest_OBJECTS) $(kxmlguitest_DEPENDENCIES) 
	@rm -f kxmlguitest$(EXEEXT)
	$(CXXLINK) $(kxmlguitest_LDFLAGS) $(kxmlguitest_OBJECTS) $(kxmlguitest_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itemcontainertest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kaboutdialogtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kaccelgentest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kactiontest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kblendtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kbuttonboxtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcharselecttest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcolordlgtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcolortest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcomboboxtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcompletiontest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdatepicktest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdesattest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdialogbasetest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdockwidgetdemo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdockwidgettest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdualcolortest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keditlistboxtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kedittest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfontdialogtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kgradienttest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khashtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kledtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/klineeditdlgtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/klineedittest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/klistviewtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmainwindowtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmessageboxtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/knuminputtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpalettetest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpanelmenutest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpopuptest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprogresstest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/krulertest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kseparatortest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kstatusbartest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksystemtraytest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktabctltest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktextedittest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kunbalancedgrdtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kwindowtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kwizardtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kxmlguitest.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=kdockwidgettest.h knuminputtest.h kdualcolortest.h RayTracedGear.png khashtest.h background_1.png kmainwindowtest.h kwindowtest.h klineedittest.h kledtest.h kcomboboxtest.h kdockwidgetdemo.h krulertest.h kcolortest.h kalphaicontest.h kblendtest.h kgradienttest.h kcompletiontest.h itemcontainertest.h kxmlguitest_part.rc kstatusbartest.h kpanelmenutest.h testimage.png kxmlguitest_shell.rc kunbalancedgrdtest.h ktabctltest.h go.png kdesattest.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-checkPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources  clean-checkPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-checkPROGRAMS \
	clean-generic clean-libtool ctags distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
	pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
knuminputtest.moc: $(srcdir)/knuminputtest.h
	$(MOC) $(srcdir)/knuminputtest.h -o knuminputtest.moc

#>+ 1
mocs: knuminputtest.moc
#>+ 3
kmainwindowtest.moc: $(srcdir)/kmainwindowtest.h
	$(MOC) $(srcdir)/kmainwindowtest.h -o kmainwindowtest.moc

#>+ 1
mocs: kmainwindowtest.moc
#>+ 3
kdualcolortest.moc: $(srcdir)/kdualcolortest.h
	$(MOC) $(srcdir)/kdualcolortest.h -o kdualcolortest.moc

#>+ 1
mocs: kdualcolortest.moc
#>+ 3
kwindowtest.moc: $(srcdir)/kwindowtest.h
	$(MOC) $(srcdir)/kwindowtest.h -o kwindowtest.moc

#>+ 1
mocs: kwindowtest.moc
#>+ 3
kcomboboxtest.moc: $(srcdir)/kcomboboxtest.h
	$(MOC) $(srcdir)/kcomboboxtest.h -o kcomboboxtest.moc

#>+ 1
mocs: kcomboboxtest.moc
#>+ 3
krulertest.moc: $(srcdir)/krulertest.h
	$(MOC) $(srcdir)/krulertest.h -o krulertest.moc

#>+ 1
mocs: krulertest.moc
#>+ 3
kstatusbartest.moc: $(srcdir)/kstatusbartest.h
	$(MOC) $(srcdir)/kstatusbartest.h -o kstatusbartest.moc

#>+ 1
mocs: kstatusbartest.moc
#>+ 3
kpanelmenutest.moc: $(srcdir)/kpanelmenutest.h
	$(MOC) $(srcdir)/kpanelmenutest.h -o kpanelmenutest.moc

#>+ 1
mocs: kpanelmenutest.moc
#>+ 3
klineedittest.moc: $(srcdir)/klineedittest.h
	$(MOC) $(srcdir)/klineedittest.h -o klineedittest.moc

#>+ 1
mocs: klineedittest.moc
#>+ 3
kdesattest.moc: $(srcdir)/kdesattest.h
	$(MOC) $(srcdir)/kdesattest.h -o kdesattest.moc

#>+ 1
mocs: kdesattest.moc
#>+ 3
kunbalancedgrdtest.moc: $(srcdir)/kunbalancedgrdtest.h
	$(MOC) $(srcdir)/kunbalancedgrdtest.h -o kunbalancedgrdtest.moc

#>+ 1
mocs: kunbalancedgrdtest.moc
#>+ 3
kledtest.moc: $(srcdir)/kledtest.h
	$(MOC) $(srcdir)/kledtest.h -o kledtest.moc

#>+ 1
mocs: kledtest.moc
#>+ 3
ktabctltest.moc: $(srcdir)/ktabctltest.h
	$(MOC) $(srcdir)/ktabctltest.h -o ktabctltest.moc

#>+ 1
mocs: ktabctltest.moc
#>+ 3
kdockwidgetdemo.moc: $(srcdir)/kdockwidgetdemo.h
	$(MOC) $(srcdir)/kdockwidgetdemo.h -o kdockwidgetdemo.moc

#>+ 1
mocs: kdockwidgetdemo.moc
#>+ 3
khashtest.moc: $(srcdir)/khashtest.h
	$(MOC) $(srcdir)/khashtest.h -o khashtest.moc

#>+ 1
mocs: khashtest.moc
#>+ 3
itemcontainertest.moc: $(srcdir)/itemcontainertest.h
	$(MOC) $(srcdir)/itemcontainertest.h -o itemcontainertest.moc

#>+ 1
mocs: itemcontainertest.moc
#>+ 3
kdockwidgettest.moc: $(srcdir)/kdockwidgettest.h
	$(MOC) $(srcdir)/kdockwidgettest.h -o kdockwidgettest.moc

#>+ 1
mocs: kdockwidgettest.moc
#>+ 3
kcompletiontest.moc: $(srcdir)/kcompletiontest.h
	$(MOC) $(srcdir)/kcompletiontest.h -o kcompletiontest.moc

#>+ 1
mocs: kcompletiontest.moc
#>+ 3
clean-metasources:
	-rm -f  knuminputtest.moc kmainwindowtest.moc kdualcolortest.moc kwindowtest.moc kcomboboxtest.moc krulertest.moc kstatusbartest.moc kpanelmenutest.moc klineedittest.moc kdesattest.moc kunbalancedgrdtest.moc kledtest.moc ktabctltest.moc kdockwidgetdemo.moc khashtest.moc itemcontainertest.moc kdockwidgettest.moc kcompletiontest.moc

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kdeui/tests/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdeui/tests/Makefile.in


#>+ 2
final:
	$(MAKE) all-am
#>+ 2
final-install:
	$(MAKE) install-am
#>+ 2
no-final:
	$(MAKE) all-am
#>+ 2
no-final-install:
	$(MAKE) install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 37
kdockwidgetdemo.o: kdockwidgetdemo.moc 
kdockwidgettest.lo: kdockwidgettest.moc 
kpanelmenutest.o: kpanelmenutest.moc 
knuminputtest.o: knuminputtest.moc 
kwindowtest.lo: kwindowtest.moc 
ktabctltest.lo: ktabctltest.moc 
klineedittest.o: klineedittest.moc 
kstatusbartest.o: kstatusbartest.moc 
kdockwidgettest.o: kdockwidgettest.moc 
krulertest.lo: krulertest.moc 
ktabctltest.o: ktabctltest.moc 
kledtest.lo: kledtest.moc 
kledtest.o: kledtest.moc 
kpanelmenutest.lo: kpanelmenutest.moc 
khashtest.lo: khashtest.moc 
kmainwindowtest.lo: kmainwindowtest.moc 
kdualcolortest.lo: kdualcolortest.moc 
knuminputtest.lo: knuminputtest.moc 
kdockwidgetdemo.lo: kdockwidgetdemo.moc 
kcomboboxtest.o: kcomboboxtest.moc 
kcompletiontest.lo: kcompletiontest.moc 
kcomboboxtest.lo: kcomboboxtest.moc 
kwindowtest.o: kwindowtest.moc 
itemcontainertest.lo: itemcontainertest.moc 
kcompletiontest.o: kcompletiontest.moc 
kdesattest.o: kdesattest.moc 
kmainwindowtest.o: kmainwindowtest.moc 
kdualcolortest.o: kdualcolortest.moc 
kstatusbartest.lo: kstatusbartest.moc 
krulertest.o: krulertest.moc 
itemcontainertest.o: itemcontainertest.moc 
kunbalancedgrdtest.o: kunbalancedgrdtest.moc 
klineedittest.lo: klineedittest.moc 
khashtest.o: khashtest.moc 
kdesattest.lo: kdesattest.moc 
kunbalancedgrdtest.lo: kunbalancedgrdtest.moc 
